/****************************************************************/
/*                                                              */
/*                            Memory                            */
/*                                                              */
/*  Description: Fonctions de manipulation de la memoire        */
/*  Auteur:      LePhenixNoir                                   */
/*  Date:        14.02.2014                                     */
/*  Fichier:     memory.h - Fichier d'en-tete                   */
/*                                                              */
/****************************************************************/

#ifndef __MEMORY_H__
  #define __MEMORY_H__

  int   str_len           (char *);
  int   str_cut           (void *,int,int);
  int   memory_createfile (char *,int);
  int   memory_createdir  (char *);
  int   memory_openfile   (char *,int);
  int   memory_closefile  (int);
  int   memory_writefile  (int,char *,int);
  int   memory_readfile   (int,void *,int,int);
  int   memory_seekfile   (int,int);
  int   memory_filesize   (int);
  int   memory_deletefile (char *);
  int   memory_find       (char **, char *);
  int   memory_exists     (char *);
  int   memory_load       (int,char **,int);

#endif
